Page MenuHomePhabricator

Add Mastodon support to stashbot
Closed, ResolvedPublic

Description

Support federated social in addition to existing walled gardens

Details

Reference
bz50109
Related Gerrit Patches:
labs/tools/stashbot : masterAdd support for sending logs to Mastodon

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:58 AM
bzimport set Reference to bz50109.
bzimport added a subscriber: Unknown Object (MLST).
greg created this task.Jun 24 2013, 3:48 PM

Now it can also post to Twitter (https://github.com/e14n/pump.io/issues/53 ): https://pump2tweet.com/
Considering they earlier added https://pump2rss.com/ and e.g. Facebook can fetch from RSS, now posting to identi.ca/pump.io might again be a rather efficient way to post to multiple social media.

Aklapper lowered the priority of this task from Medium to Lowest.Apr 9 2015, 1:12 PM
Aklapper added a subscriber: Aklapper.
bd808 moved this task from Backlog to Graveyard on the Stashbot board.Aug 7 2019, 9:32 PM

I guess this should now be Mastodon. :) A bridge with something like https://moa.party/ is trivial in the meanwhile.

bd808 renamed this task from Add pump.io (identi.ca) support to morebots to Add Mastodon support to stashbot.Dec 16 2019, 6:20 AM
bd808 updated the task description. (Show Details)

Change 547717 had a related patch set uploaded (by BryanDavis; owner: Lars Wirzenius):
[labs/tools/stashbot@master] Add support for sending logs to Mastodon

https://gerrit.wikimedia.org/r/547717

Change 547717 merged by jenkins-bot:
[labs/tools/stashbot@master] Add support for sending logs to Mastodon

https://gerrit.wikimedia.org/r/547717

Mentioned in SAL (#wikimedia-cloud) [2019-12-21T23:38:25Z] <bd808> Restarting to enable Mastodon logging (T52109)

Mentioned in SAL (#wikimedia-operations) [2019-12-21T23:40:11Z] <bd808> Testing Mastodon logging of SAL messages (T52109)

bd808 closed this task as Resolved.Dec 21 2019, 11:46 PM
bd808 claimed this task.
bd808 added a subscriber: bd808.

With some help and encouragement from @LarsWirzenius, Stashbot now will toot as @wikimedia_sal@fosstodon.org for everyone's federated social pleasure.

Mentioned in SAL (#wikimedia-operations) [2019-12-21T23:40:11Z] <bd808> Testing Mastodon logging of SAL messages (T52109)

https://fosstodon.org/web/statuses/103348412090981841

bd808 moved this task from Graveyard to Accepted on the Stashbot board.Dec 22 2019, 4:25 PM
bd808 reopened this task as Open.Dec 22 2019, 4:28 PM

Well that didn't last long.

Your account has been suspended, and all of your toots and your uploaded media files have been irreversibly removed from this server, and servers where you had followers.
You have been banned for breaching our Code of Conduct. https://hub.fosstodon.org/code-of-conduct

Apparently marking the account as a bot account is a CoC violation in that Mastodon. I will find a new server to move to.

I will leave this open for a bit just in case we get a repeat of the block

bd808 added a comment.Dec 22 2019, 4:56 PM

Yeah, 4 posts was apparently enough to have them flag us. Oh well. The mastodon.social TOU/CoC does not seem to have this same restriction. I will however refrain from publishing the bot to the directory. Maybe that will keep us from angering folks.

bd808 closed this task as Resolved.Fri, Feb 14, 3:19 PM

Still working, seems safe to close.